commit:     79c49766001df33c27e6a8c3baddaadbb6f6506f
Author:     Dave Hughes <davidhughes205 <AT> gmail <DOT> com>
AuthorDate: Sat Mar 13 12:56:48 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Mar 13 21:02:39 2021 +0000
URL:        https://gitweb.gentoo.org/proj/musl.git/commit/?id=79c49766

app-emulation/wine-vanilla: remove from overlay

Package-Manager: Portage-3.0.17, Repoman-3.0.2
RepoMan-Options: --force
Manifest-Sign-Key: 0xA1919C830E9498E0
Signed-off-by: Dave Hughes <davidhughes205 <AT> gmail.com>
Closes: https://github.com/gentoo/musl/pull/406
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-emulation/wine-vanilla/Manifest                |   2 -
 .../wine-vanilla/files/wine-2.0-musl-dlclose.patch | 165 -------
 app-emulation/wine-vanilla/metadata.xml            |  44 --
 .../wine-vanilla/wine-vanilla-2.0.3.ebuild         | 522 ---------------------
 4 files changed, 733 deletions(-)

diff --git a/app-emulation/wine-vanilla/Manifest 
b/app-emulation/wine-vanilla/Manifest
deleted file mode 100644
index 044e395..0000000
--- a/app-emulation/wine-vanilla/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST gentoo-wine-patches-20180120.tar.xz 58672 BLAKE2B 
84d621075b65475cec41a06429680b518d7eafb938cefd903f3f8aa71ea3049ac9d8de05af48f9f4f4a1b9172c7ef17784540413e410eb8ec11e8ec4a63858c6
 SHA512 
5b354a409c7a2b77499aaa593b9248a1d15d755e3687b095755faacc30068bfcdbdd5c2a2a78617cb1a78c46d2931162bd69ec3379b035d81494bea7108263c2
-DIST wine-2.0.3.tar.xz 18864648 BLAKE2B 
0503a11e7545d5af805bfc3c2f614b6e35e39b7b532ee45dd9947e1a9a53eb788a304e744c683e42bf84f0e67e2c046ea5f839b6bbad1cf73b9996eaae5c30c1
 SHA512 
e20dbcb3a48ecb3526eba075d4baebab2529dfc50b7a6d5e18294704470f61db386013f457118c270274b911f9643d203110f46558d23e84e6a6c2d78e237dbb

diff --git a/app-emulation/wine-vanilla/files/wine-2.0-musl-dlclose.patch 
b/app-emulation/wine-vanilla/files/wine-2.0-musl-dlclose.patch
deleted file mode 100644
index 35beacc..0000000
--- a/app-emulation/wine-vanilla/files/wine-2.0-musl-dlclose.patch
+++ /dev/null
@@ -1,165 +0,0 @@
---- a/configure.ac
-+++ b/configure.ac
-@@ -1123,6 +1123,12 @@ then
- 
-     dnl *** End of X11/Xlib.h check
- 
-+    dnl Check for the unload_after_dlclose libc
-+    AC_RUN_IFELSE(
-+            [AC_LANG_PROGRAM([[#include <dlfcn.h>]], 
[[dlclose(dlopen("./conftest", 0)); return 0;]])],
-+            ac_save_CPPFLAGS="$ac_save_CPPFLAGS -DNO_UNLOAD_AFTER_DLCLOSE",
-+            [])
-+
-     dnl Check for the presence of OpenGL
-     opengl_msg=""
-     if test "x$with_opengl" != "xno"
---- a/include/winternl.h       2017-01-16 00:39:34.000000000 +0000
-+++ a/include/winternl.h       2017-01-16 00:39:34.000000000 +0000
-@@ -2095,6 +2095,9 @@ 
-     UNICODE_STRING      BaseDllName;
-     ULONG               Flags;
-     SHORT               LoadCount;
-+#ifdef NO_UNLOAD_AFTER_DLCLOSE
-+    SHORT               UnLoadCount;
-+#endif
-     SHORT               TlsIndex;
-     HANDLE              SectionHandle;
-     ULONG               CheckSum;
---- a/dlls/ntdll/loader.c      2017-01-27 06:56:42.057449375 +0000
-+++ a/dlls/ntdll/loader.c      2017-01-27 06:56:42.057449375 +0000
-@@ -1046,6 +1046,9 @@ 
-     wm->ldr.Flags         = LDR_DONT_RESOLVE_REFS;
-     wm->ldr.TlsIndex      = -1;
-     wm->ldr.LoadCount     = 1;
-+#ifdef NO_UNLOAD_AFTER_DLCLOSE
-+    wm->ldr.UnLoadCount   = 0;
-+#endif
-     wm->ldr.SectionHandle = NULL;
-     wm->ldr.CheckSum      = 0;
-     wm->ldr.TimeDateStamp = 0;
-@@ -3095,9 +3095,34 @@ 
-  *            LdrShutdownProcess (NTDLL.@)
-  *
-  */
-+static void free_modref( WINE_MODREF *wm );
- void WINAPI LdrShutdownProcess(void)
- {
-     TRACE("()\n");
-+#ifdef NO_UNLOAD_AFTER_DLCLOSE
-+    PLIST_ENTRY entry, mark, prev;
-+    PLDR_MODULE mod;
-+    WINE_MODREF*wm;
-+
-+    mark = &NtCurrentTeb()->Peb->LdrData->InInitializationOrderModuleList;
-+    for (entry = mark->Blink; entry != mark; entry = prev)
-+    {
-+        mod = CONTAINING_RECORD(entry, LDR_MODULE, 
InInitializationOrderModuleList);
-+        wm = CONTAINING_RECORD(mod, WINE_MODREF, ldr);
-+        prev = entry->Blink;
-+        if (mod->UnLoadCount) free_modref( wm );
-+    }
-+
-+    /* check load order list too for modules that haven't been initialized 
yet */
-+    mark = &NtCurrentTeb()->Peb->LdrData->InLoadOrderModuleList;
-+    for (entry = mark->Blink; entry != mark; entry = prev)
-+    {
-+        mod = CONTAINING_RECORD(entry, LDR_MODULE, InLoadOrderModuleList);
-+        wm = CONTAINING_RECORD(mod, WINE_MODREF, ldr);
-+        prev = entry->Blink;
-+        if (mod->UnLoadCount) free_modref( wm );
-+    }
-+#endif
-     process_detaching = TRUE;
-     process_detach();
- }
-@@ -3135,6 +3135,30 @@ 
- 
-     RtlEnterCriticalSection( &loader_section );
- 
-+#ifdef NO_UNLOAD_AFTER_DLCLOSE
-+    PLIST_ENTRY prev;
-+    WINE_MODREF*wm;
-+
-+    mark = &NtCurrentTeb()->Peb->LdrData->InInitializationOrderModuleList;
-+    for (entry = mark->Blink; entry != mark; entry = prev)
-+    {
-+        mod = CONTAINING_RECORD(entry, LDR_MODULE, 
InInitializationOrderModuleList);
-+        wm = CONTAINING_RECORD(mod, WINE_MODREF, ldr);
-+        prev = entry->Blink;
-+        if (mod->UnLoadCount) free_modref( wm );
-+    }
-+
-+    /* check load order list too for modules that haven't been initialized 
yet */
-+    mark = &NtCurrentTeb()->Peb->LdrData->InLoadOrderModuleList;
-+    for (entry = mark->Blink; entry != mark; entry = prev)
-+    {
-+        mod = CONTAINING_RECORD(entry, LDR_MODULE, InLoadOrderModuleList);
-+        wm = CONTAINING_RECORD(mod, WINE_MODREF, ldr);
-+        prev = entry->Blink;
-+        if (mod->UnLoadCount) free_modref( wm );
-+    }
-+#endif
-+
-     mark = &NtCurrentTeb()->Peb->LdrData->InInitializationOrderModuleList;
-     for (entry = mark->Blink; entry != mark; entry = entry->Blink)
-     {
-@@ -3233,6 +3233,39 @@ 
- }
- 
-+#ifdef NO_UNLOAD_AFTER_DLCLOSE
-+/***********************************************************************
-+ *           MODULE_IncRefCount
-+ *
-+ * The loader_section must be locked while calling this function.
-+ */
-+static void MODULE_IncRefCount( WINE_MODREF *wm )
-+{
-+    int i;
-+
-+    if ( wm->ldr.Flags & LDR_UNLOAD_IN_PROGRESS )
-+        return;
-+
-+    if ( wm->ldr.UnLoadCount > 0 )
-+        return;
-+
-+    ++wm->ldr.UnLoadCount;
-+    TRACE("(%s) ldr.UnLoadCount: %d\n", 
debugstr_w(wm->ldr.BaseDllName.Buffer), wm->ldr.UnLoadCount );
-+
-+    if ( wm->ldr.UnLoadCount == 1 )
-+    {
-+        wm->ldr.Flags |= LDR_UNLOAD_IN_PROGRESS;
-+
-+        for ( i = 0; i < wm->nDeps; i++ )
-+            if ( wm->deps[i] ) {
-+               MODULE_IncRefCount( wm );
-+           }
-+
-+        wm->ldr.Flags &= ~LDR_UNLOAD_IN_PROGRESS;
-+    }
-+}
-+#endif
-+
- /***********************************************************************
-  *           MODULE_DecRefCount
-  *
-  * The loader_section must be locked while calling this function.
---- wine32/dlls/ntdll/loader.c
-+++ wine32/dlls/ntdll/loader.c
-@@ -3326,6 +3326,17 @@ 
-     if ( wm->ldr.LoadCount <= 0 )
-         return;
- 
-+#ifdef NO_UNLOAD_AFTER_DLCLOSE
-+    WCHAR env[512] = { 
's','x','s','.','d','l','l','|','u','r','l','m','o','n','.','d','l','l','|','m','s','i','s','i','p','.','d','l','l','|','a','d','v','p','a','c','k','.','d','l','l','|','m','s','c','o','r','e','e','.','d','l','l','|','f','u','s','i','o','n','.','d','l','l',0
 };
-+    char *env_p = getenv("WINE_DLL_NOUNLOAD");
-+    if (env_p) wine_utf8_mbstowcs(0, env_p, strlen(env_p), env, 512);
-+    TRACE("NOUNLOAD: %s, DLL: %s\n", debugstr_w(env), 
debugstr_w(wm->ldr.BaseDllName.Buffer));
-+    if ( strstrW(env, wm->ldr.BaseDllName.Buffer) != NULL ) {
-+        TRACE("%s: apply nounload hacks on this platform\n", 
debugstr_w(wm->ldr.BaseDllName.Buffer));
-+        MODULE_IncRefCount(wm);
-+       return;
-+    }
-+#endif
-     --wm->ldr.LoadCount;
-     TRACE("(%s) ldr.LoadCount: %d\n", debugstr_w(wm->ldr.BaseDllName.Buffer), 
wm->ldr.LoadCount );
- 

diff --git a/app-emulation/wine-vanilla/metadata.xml 
b/app-emulation/wine-vanilla/metadata.xml
deleted file mode 100644
index 411d8ae..0000000
--- a/app-emulation/wine-vanilla/metadata.xml
+++ /dev/null
@@ -1,44 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
-<pkgmetadata>
-       <maintainer type="project">
-               <email>w...@gentoo.org</email>
-               <name>Wine</name>
-               <description>
-                       This package must be kept in sync with repo/proj/wine 
repository.
-                       Any changes need to be run past the maintainer to 
ensure the two repositories are kept in sync.
-               </description>
-       </maintainer>
-       <longdescription>
-Wine is an Open Source implementation of the Windows API on top of X and Unix.
-
-Think of Wine as a compatibility layer for running Windows programs. Wine does 
not require Microsoft Windows, as it is a completely free alternative 
implementation of the Windows API consisting of 100% non-Microsoft code, 
however Wine can optionally use native Windows DLLs if they are available. Wine 
provides both a development toolkit for porting Windows source code to Unix as 
well as a program loader, allowing many unmodified Windows programs to run on 
x86-based Unixes, including Linux, FreeBSD, and Solaris.
-
-This variant of the Wine packaging does not include external patchsets
-       </longdescription>
-       <use>
-               <flag name="capi">Enable ISDN support via CAPI</flag>
-               <flag name="custom-cflags">Bypass strip-flags; use at your own 
peril</flag>
-               <flag name="dos">Pull in <pkg>games-emulation/dosbox</pkg> to 
run DOS applications</flag>
-               <flag name="gecko">Add support for the Gecko engine when using 
iexplore</flag>
-               <flag name="gstreamer">Use <pkg>media-libs/gstreamer</pkg> to 
provide DirectShow functionality;</flag>
-               <flag name="mono">Add support for .NET using Wine's Mono 
add-on</flag>
-               <flag name="netapi">Use libnetapi from <pkg>net-fs/samba</pkg> 
to support Windows networks in netapi32.dll</flag>
-               <flag name="opencl">Enable OpenCL support</flag>
-               <flag name="osmesa">Add support for OpenGL in bitmaps using 
libOSMesa</flag>
-               <flag name="pcap">Support packet capture software (e.g. 
wireshark)</flag>
-               <flag name="perl">Install helpers written in perl 
(winedump/winemaker)</flag>
-               <flag name="prelink">Run prelink on DLLs during build;
-                       For versions before wine-1.7.55 or hardened, do not 
disable if you do not know what this means as it can break things at 
runtime</flag>
-               <flag name="realtime">Pull in <pkg>sys-auth/rtkit</pkg> for 
low-latency pulseaudio support</flag>
-               <flag name="run-exes">Use Wine to open and run .EXE and .MSI 
files</flag>
-               <flag name="samba">Add support for NTLM auth. see
-               http://wiki.winehq.org/NtlmAuthSetupGuide and
-               http://wiki.winehq.org/NtlmSigningAndSealing</flag>
-               <flag name="udev">Use <pkg>virtual/libudev</pkg> to provide 
plug and play support</flag>
-       </use>
-       <upstream>
-               <remote-id type="github">wine-compholio/wine-staging</remote-id>
-               <remote-id type="sourceforge">wine</remote-id>
-       </upstream>
-</pkgmetadata>

diff --git a/app-emulation/wine-vanilla/wine-vanilla-2.0.3.ebuild 
b/app-emulation/wine-vanilla/wine-vanilla-2.0.3.ebuild
deleted file mode 100644
index 8b8b047..0000000
--- a/app-emulation/wine-vanilla/wine-vanilla-2.0.3.ebuild
+++ /dev/null
@@ -1,522 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PLOCALES="ar bg ca cs da de el en en_US eo es fa fi fr he hi hr hu it ja ko lt 
ml nb_NO nl or pa pl pt_BR pt_PT rm ro ru sk sl sr_RS@cyrillic sr_RS@latin sv 
te th tr uk wa zh_CN zh_TW"
-PLOCALE_BACKUP="en"
-
-inherit autotools estack eutils flag-o-matic gnome2-utils l10n multilib 
multilib-minimal pax-utils toolchain-funcs virtualx versionator xdg-utils
-
-MY_PN="${PN%%-*}"
-MY_P="${MY_PN}-${PV}"
-
-if [[ ${PV} == "9999" ]] ; then
-       EGIT_REPO_URI="https://source.winehq.org/git/wine.git";
-       EGIT_BRANCH="master"
-       inherit git-r3
-       SRC_URI=""
-       #KEYWORDS=""
-else
-       MAJOR_V=$(get_version_component_range 1)
-       SRC_URI="https://dl.winehq.org/wine/source/${MAJOR_V}.0/${MY_P}.tar.xz";
-       KEYWORDS="-* amd64 x86"
-fi
-S="${WORKDIR}/${MY_P}"
-
-GWP_V="20180120"
-PATCHDIR="${WORKDIR}/gentoo-wine-patches"
-
-DESCRIPTION="Free implementation of Windows(tm) on Unix, without external 
patchsets"
-HOMEPAGE="https://www.winehq.org/";
-SRC_URI="${SRC_URI}
-       
https://dev.gentoo.org/~np-hardass/distfiles/wine/gentoo-wine-patches-${GWP_V}.tar.xz
-"
-
-LICENSE="LGPL-2.1"
-SLOT="${PV}"
-IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc 
+fontconfig +gecko gphoto2 gsm gstreamer +jpeg kernel_FreeBSD +lcms ldap +mono 
mp3 ncurses netapi nls odbc openal opencl +opengl osmesa oss +perl pcap +png 
prelink pulseaudio +realtime +run-exes samba scanner selinux +ssl test +threads 
+truetype udev +udisks v4l +X +xcomposite xinerama +xml"
-REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
-       X? ( truetype )
-       elibc_glibc? ( threads )
-       osmesa? ( opengl )
-       test? ( abi_x86_32 )" # osmesa-opengl #286560 # X-truetype #551124
-
-# FIXME: the test suite is unsuitable for us; many tests require net access
-# or fail due to Xvfb's opengl limitations.
-RESTRICT="test"
-
-COMMON_DEPEND="
-       X? (
-               x11-libs/libXcursor[${MULTILIB_USEDEP}]
-               x11-libs/libXext[${MULTILIB_USEDEP}]
-               x11-libs/libXrandr[${MULTILIB_USEDEP}]
-               x11-libs/libXi[${MULTILIB_USEDEP}]
-               x11-libs/libXxf86vm[${MULTILIB_USEDEP}]
-       )
-       alsa? ( media-libs/alsa-lib[${MULTILIB_USEDEP}] )
-       capi? ( net-libs/libcapi[${MULTILIB_USEDEP}] )
-       cups? ( net-print/cups:=[${MULTILIB_USEDEP}] )
-       fontconfig? ( media-libs/fontconfig:=[${MULTILIB_USEDEP}] )
-       gphoto2? ( media-libs/libgphoto2:=[${MULTILIB_USEDEP}] )
-       gsm? ( media-sound/gsm:=[${MULTILIB_USEDEP}] )
-       gstreamer? (
-               media-libs/gstreamer:1.0[${MULTILIB_USEDEP}]
-               media-plugins/gst-plugins-meta:1.0[${MULTILIB_USEDEP}]
-       )
-       jpeg? ( virtual/jpeg:0=[${MULTILIB_USEDEP}] )
-       lcms? ( media-libs/lcms:2=[${MULTILIB_USEDEP}] )
-       ldap? ( net-nds/openldap:=[${MULTILIB_USEDEP}] )
-       mp3? ( >=media-sound/mpg123-1.5.0[${MULTILIB_USEDEP}] )
-       ncurses? ( >=sys-libs/ncurses-5.2:0=[${MULTILIB_USEDEP}] )
-       netapi? ( net-fs/samba[netapi(+),${MULTILIB_USEDEP}] )
-       nls? ( sys-devel/gettext[${MULTILIB_USEDEP}] )
-       odbc? ( dev-db/unixODBC:=[${MULTILIB_USEDEP}] )
-       openal? ( media-libs/openal:=[${MULTILIB_USEDEP}] )
-       opencl? ( virtual/opencl[${MULTILIB_USEDEP}] )
-       opengl? (
-               virtual/glu[${MULTILIB_USEDEP}]
-               virtual/opengl[${MULTILIB_USEDEP}]
-       )
-       osmesa? ( >=media-libs/mesa-13[osmesa,${MULTILIB_USEDEP}] )
-       pcap? ( net-libs/libpcap[${MULTILIB_USEDEP}] )
-       png? ( media-libs/libpng:0=[${MULTILIB_USEDEP}] )
-       pulseaudio? ( media-sound/pulseaudio[${MULTILIB_USEDEP}] )
-       scanner? ( media-gfx/sane-backends:=[${MULTILIB_USEDEP}] )
-       ssl? ( net-libs/gnutls:=[${MULTILIB_USEDEP}] )
-       truetype? ( >=media-libs/freetype-2.0.0[${MULTILIB_USEDEP}] )
-       udev? ( virtual/libudev:=[${MULTILIB_USEDEP}] )
-       udisks? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
-       v4l? ( media-libs/libv4l[${MULTILIB_USEDEP}] )
-       xcomposite? ( x11-libs/libXcomposite[${MULTILIB_USEDEP}] )
-       xinerama? ( x11-libs/libXinerama[${MULTILIB_USEDEP}] )
-       xml? (
-               dev-libs/libxml2[${MULTILIB_USEDEP}]
-               dev-libs/libxslt[${MULTILIB_USEDEP}]
-       )"
-
-RDEPEND="${COMMON_DEPEND}
-       app-emulation/wine-desktop-common
-       >app-eselect/eselect-wine-0.3
-       !app-emulation/wine:0
-       dos? ( >=games-emulation/dosbox-0.74_p20160629 )
-       gecko? ( app-emulation/wine-gecko:2.47[abi_x86_32?,abi_x86_64?] )
-       mono? ( app-emulation/wine-mono:4.6.4 )
-       perl? (
-               dev-lang/perl
-               dev-perl/XML-Simple
-       )
-       pulseaudio? (
-               realtime? ( sys-auth/rtkit )
-       )
-       samba? ( >=net-fs/samba-3.0.25[winbind] )
-       selinux? ( sec-policy/selinux-wine )
-       udisks? ( sys-fs/udisks:2 )"
-
-# tools/make_requests requires perl
-DEPEND="${COMMON_DEPEND}
-       sys-devel/flex
-       >=sys-kernel/linux-headers-2.6
-       virtual/pkgconfig
-       virtual/yacc
-       X? ( x11-base/xorg-proto )
-       prelink? ( sys-devel/prelink )
-       xinerama? ( x11-base/xorg-proto )"
-
-# These use a non-standard "Wine" category, which is provided by
-# /etc/xdg/applications-merged/wine.menu
-QA_DESKTOP_FILE="usr/share/applications/wine-browsedrive.desktop
-usr/share/applications/wine-notepad.desktop
-usr/share/applications/wine-uninstaller.desktop
-usr/share/applications/wine-winecfg.desktop"
-
-PATCHES=(
-       "${PATCHDIR}/patches/${MY_PN}-1.5.26-winegcc.patch" #260726
-       "${PATCHDIR}/patches/${MY_PN}-1.9.5-multilib-portage.patch" #395615
-       "${PATCHDIR}/patches/${MY_PN}-1.6-memset-O3.patch" #480508
-       "${PATCHDIR}/patches/${MY_PN}-2.0-multislot-apploader.patch" #310611
-       "${PATCHDIR}/patches/${MY_PN}-2.0-rearrange-manpages.patch" #469418 
#617864
-       "${FILESDIR}/${MY_PN}-2.0-musl-dlclose.patch"
-)
-PATCHES_BIN=()
-
-# https://bugs.gentoo.org/show_bug.cgi?id=635222
-if [[ ${#PATCHES_BIN[@]} -ge 1 ]] || [[ ${PV} == 9999 ]]; then
-       DEPEND+=" dev-util/patchbin"
-fi
-
-wine_compiler_check() {
-       [[ ${MERGE_TYPE} = "binary" ]] && return 0
-
-       # GCC-specific bugs
-       if tc-is-gcc; then
-               # bug #549768
-               if use abi_x86_64 && [[ $(gcc-major-version) = 5 && 
$(gcc-minor-version) -le 2 ]]; then
-                       ebegin "Checking for gcc-5 ms_abi compiler bug"
-                       $(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o 
"${T}"/pr66838 || die
-                       # Run in subshell to prevent "Aborted" message
-                       ( "${T}"/pr66838 || false ) >/dev/null 2>&1
-                       if ! eend $?; then
-                               eerror "64-bit wine cannot be built with 
gcc-5.1 or initial patchset of 5.2.0"
-                               eerror "due to compiler bugs; please re-emerge 
the latest gcc-5.2.x ebuild,"
-                               eerror "or use gcc-config to select a different 
compiler version."
-                               eerror "See https://bugs.gentoo.org/549768";
-                               eerror
-                               return 1
-                       fi
-               fi
-               # bug #574044
-               if use abi_x86_64 && [[ $(gcc-major-version) = 5 && 
$(gcc-minor-version) = 3 ]]; then
-                       ebegin "Checking for gcc-5-3 stack realignment compiler 
bug"
-                       # Compile in subshell to prevent "Aborted" message
-                       ( $(tc-getCC) -O2 -mincoming-stack-boundary=3 
"${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
-                       if ! eend $?; then
-                               eerror "Wine cannot be built with this version 
of gcc-5.3"
-                               eerror "due to compiler bugs; please re-emerge 
the latest gcc-5.3.x ebuild,"
-                               eerror "or use gcc-config to select a different 
compiler version."
-                               eerror "See https://bugs.gentoo.org/574044";
-                               eerror
-                               return 1
-                       fi
-               fi
-       fi
-
-       # Ensure compiler support
-       if use abi_x86_64; then
-               ebegin "Checking for 64-bit compiler with builtin_ms_va_list 
support"
-               # Compile in subshell to prevent "Aborted" message
-               ( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o 
"${T}"/builtin_ms_va_list >/dev/null 2>&1)
-               if ! eend $?; then
-                       eerror "This version of $(tc-getCC) does not support 
builtin_ms_va_list, can't enable 64-bit wine"
-                       eerror
-                       eerror "You need gcc-4.4+ or clang 3.8+ to build 64-bit 
wine"
-                       eerror
-                       return 1
-               fi
-       fi
-}
-
-wine_build_environment_check() {
-       [[ ${MERGE_TYPE} = "binary" ]] && return 0
-
-       if use abi_x86_64; then
-               if tc-is-gcc && [[ $(gcc-major-version) -lt 4 || ( 
$(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 4 ) ]]; then
-                       eerror "You need gcc-4.4+ to compile 64-bit wine"
-                       die
-               elif tc-is-clang && [[ $(clang-major-version) -lt 3 || ( 
$(clang-major-version) -eq 3 && $(clang-minor-version) -lt 8 ) ]]; then
-                       eerror "You need clang-3.8+ to compile 64-bit wine"
-                       die
-               fi
-       fi
-       if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) 
-le 3 ]]; then
-               ewarn "GCC-5.0-5.3 suffered from compiler bugs and are no 
longer supported by"
-               ewarn "Gentoo's Toolchain Team. If your ebuild fails the 
compiler checks in"
-               ewarn "the configure phase, either update your compiler or 
switch to <5.0 || >=5.4"
-       fi
-       if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) 
-eq 4 ]]; then
-               if has "-march=i686" ${CFLAGS} && ! has "-mtune=generic" 
${CFLAGS}; then
-                       ewarn "Compilation can hang with 
CFLAGS=\"-march=i686\".  You can temporarily work"
-                       ewarn "around this by adding \"-mtune=generic\" to your 
CFLAGS for wine."
-                       ewarn "See package.env in man 5 portage for more 
information on how to do this."
-                       ewarn "See 
https://bugs.gentoo.org/show_bug.cgi?id=613128 for more details"
-               fi
-       fi
-
-       if use abi_x86_32 && use opencl && [[ "$(eselect opencl show 2> 
/dev/null)" == "intel" ]]; then
-               eerror "You cannot build wine with USE=opencl because 
intel-ocl-sdk is 64-bit only."
-               eerror "See https://bugs.gentoo.org/487864 for more details."
-               eerror
-               return 1
-       fi
-}
-
-wine_env_vcs_vars() {
-       local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
-       local pn_live_val="${pn_live_var}"
-       eval pn_live_val='$'${pn_live_val}
-       if [[ ! -z ${EGIT_COMMIT} ]]; then
-               eerror "Commits must now be specified using the environmental 
variables"
-               eerror "WINE_COMMIT"
-               eerror
-               return 1
-       fi
-}
-
-pkg_pretend() {
-       wine_build_environment_check || die
-
-       # Verify OSS support
-       if use oss && ! use kernel_FreeBSD; then
-               if ! has_version ">=media-sound/oss-4"; then
-                       eerror "You cannot build wine with USE=oss without 
having support from a"
-                       eerror "FreeBSD kernel or >=media-sound/oss-4 (only 
available through external repos)"
-                       eerror
-                       die
-               fi
-       fi
-}
-
-pkg_setup() {
-       wine_build_environment_check || die
-       wine_env_vcs_vars || die
-
-       WINE_VARIANT="${PN#wine}-${PV}"
-       WINE_VARIANT="${WINE_VARIANT#-}"
-
-       MY_PREFIX="${EPREFIX}/usr/lib/wine-${WINE_VARIANT}"
-       MY_DATAROOTDIR="${EPREFIX}/usr/share/wine-${WINE_VARIANT}"
-       MY_DATADIR="${MY_DATAROOTDIR}"
-       MY_DOCDIR="${EPREFIX}/usr/share/doc/${PF}"
-       MY_INCLUDEDIR="${EPREFIX}/usr/include/wine-${WINE_VARIANT}"
-       MY_LIBEXECDIR="${EPREFIX}/usr/libexec/wine-${WINE_VARIANT}"
-       MY_LOCALSTATEDIR="${EPREFIX}/var/wine-${WINE_VARIANT}"
-       MY_MANDIR="${MY_DATADIR}/man"
-}
-
-src_unpack() {
-       if [[ ${PV} == "9999" ]] ; then
-               EGIT_CHECKOUT_DIR="${S}" EGIT_COMMIT="${WINE_COMMIT}" 
git-r3_src_unpack
-       fi
-
-       default
-
-       l10n_find_plocales_changes "${S}/po" "" ".po"
-}
-
-src_prepare() {
-
-       eapply_bin(){
-               local patch
-               for patch in ${PATCHES_BIN[@]}; do
-                       patchbin --nogit < "${patch}" || die
-               done
-       }
-
-       local md5="$(md5sum server/protocol.def)"
-
-       default
-       eapply_bin
-       eautoreconf
-
-       # Modification of the server protocol requires regenerating the server 
requests
-       if [[ "$(md5sum server/protocol.def)" != "${md5}" ]]; then
-               einfo "server/protocol.def was patched; running 
tools/make_requests"
-               tools/make_requests || die #432348
-       fi
-       sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in || die
-       if ! use run-exes; then
-               sed -i '/^MimeType/d' loader/wine.desktop || die #117785
-       fi
-
-       # Edit wine.desktop to work for specific variant
-       sed -e "/^Exec=/s/wine /wine-${WINE_VARIANT} /" -i loader/wine.desktop 
|| die
-
-       # hi-res default icon, #472990, 
https://bugs.winehq.org/show_bug.cgi?id=24652
-       cp "${PATCHDIR}/files/oic_winlogo.ico" dlls/user32/resources/ || die
-
-       l10n_get_locales > po/LINGUAS || die # otherwise wine doesn't respect 
LINGUAS
-
-       # Fix manpage generation for locales #469418 and abi_x86_64 #617864
-       # Requires wine-2.0-rearrange-manpages.patch
-
-       # Duplicate manpages input files for wine64
-       local f
-       for f in loader/*.man.in; do
-               cp ${f} ${f/wine/wine64} || die
-       done
-       # Add wine64 manpages to Makefile
-       if use abi_x86_64; then
-               sed -i "/wine.man.in/i \
-                       \\\twine64.man.in \\\\" loader/Makefile.in || die
-               sed -i -E 's/(.*wine)(.*\.UTF-8\.man\.in.*)/&\
-\164\2/' loader/Makefile.in || die
-       fi
-
-       rm_man_file(){
-               local file="${1}"
-               loc=${2}
-               sed -i "/${loc}\.UTF-8\.man\.in/d" "${file}" || die
-       }
-
-       while read f; do
-               l10n_for_each_disabled_locale_do rm_man_file "${f}"
-       done < <(find -name "Makefile.in" -exec grep -q "UTF-8.man.in" "{}" \; 
-print)
-}
-
-src_configure() {
-       wine_compiler_check || die
-
-       export LDCONFIG=/bin/true
-       use custom-cflags || strip-flags
-
-       multilib-minimal_src_configure
-}
-
-multilib_src_configure() {
-       local myconf=(
-               --prefix="${MY_PREFIX}"
-               --datarootdir="${MY_DATAROOTDIR}"
-               --datadir="${MY_DATADIR}"
-               --docdir="${MY_DOCDIR}"
-               --includedir="${MY_INCLUDEDIR}"
-               --libdir="${EPREFIX}/usr/$(get_libdir)/wine-${WINE_VARIANT}"
-               --libexecdir="${MY_LIBEXECDIR}"
-               --localstatedir="${MY_LOCALSTATEDIR}"
-               --mandir="${MY_MANDIR}"
-               --sysconfdir=/etc/wine
-               $(use_with alsa)
-               $(use_with capi)
-               $(use_with lcms cms)
-               $(use_with cups)
-               $(use_with ncurses curses)
-               $(use_with udisks dbus)
-               $(use_with fontconfig)
-               $(use_with ssl gnutls)
-               $(use_enable gecko mshtml)
-               $(use_with gphoto2 gphoto)
-               $(use_with gsm)
-               $(use_with gstreamer)
-               --without-hal
-               $(use_with jpeg)
-               $(use_with ldap)
-               $(use_enable mono mscoree)
-               $(use_with mp3 mpg123)
-               $(use_with netapi)
-               $(use_with nls gettext)
-               $(use_with openal)
-               $(use_with opencl)
-               $(use_with opengl)
-               $(use_with osmesa)
-               $(use_with oss)
-               $(use_with pcap)
-               $(use_with png)
-               $(use_with pulseaudio pulse)
-               $(use_with threads pthread)
-               $(use_with scanner sane)
-               $(use_enable test tests)
-               $(use_with truetype freetype)
-               $(use_with udev)
-               $(use_with v4l)
-               $(use_with X x)
-               $(use_with xcomposite)
-               $(use_with xinerama)
-               $(use_with xml)
-               $(use_with xml xslt)
-       )
-
-       local PKG_CONFIG AR RANLIB
-       # Avoid crossdev's i686-pc-linux-gnu-pkg-config if building wine32 on 
amd64; #472038
-       # set AR and RANLIB to make QA scripts happy; #483342
-       tc-export PKG_CONFIG AR RANLIB
-
-       if use amd64; then
-               if [[ ${ABI} == amd64 ]]; then
-                       myconf+=( --enable-win64 )
-               else
-                       myconf+=( --disable-win64 )
-               fi
-
-               # Note: using --with-wine64 results in problems with 
multilib.eclass
-               # CC/LD hackery. We're using separate tools instead.
-       fi
-
-       ECONF_SOURCE=${S} \
-       econf "${myconf[@]}"
-       emake depend
-}
-
-multilib_src_test() {
-       # FIXME: win32-only; wine64 tests fail with "could not find the Wine 
loader"
-       if [[ ${ABI} == x86 ]]; then
-               if [[ $(id -u) == 0 ]]; then
-                       ewarn "Skipping tests since they cannot be run under 
the root user."
-                       ewarn "To run the test ${MY_PN} suite, add userpriv to 
FEATURES in make.conf"
-                       return
-               fi
-
-               WINEPREFIX="${T}/.wine-${ABI}" \
-               Xemake test
-       fi
-}
-
-multilib_src_install_all() {
-       local DOCS=( ANNOUNCE AUTHORS README )
-       add_locale_docs() {
-               local locale_doc="documentation/README.$1"
-               [[ ! -e ${locale_doc} ]] || DOCS+=( ${locale_doc} )
-       }
-       l10n_for_each_locale_do add_locale_docs
-
-       einstalldocs
-       prune_libtool_files --all
-
-       if ! use perl ; then # winedump calls function_grep.pl, and winemaker 
is a perl script
-               rm "${D%/}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl} 
\
-                       "${D%/}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
-       fi
-
-       # Remove wineconsole if neither backend is installed #551124
-       if ! use X && ! use ncurses; then
-               rm "${D%/}${MY_PREFIX}"/bin/wineconsole* || die
-               rm "${D%/}${MY_MANDIR}"/man1/wineconsole* || die
-               rm_wineconsole() {
-                       rm 
"${D%/}${MY_PREFIX}/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
-               }
-               multilib_foreach_abi rm_wineconsole
-       fi
-
-       use abi_x86_32 && pax-mark psmr 
"${D%/}${MY_PREFIX}"/bin/wine{,-preloader} #255055
-       use abi_x86_64 && pax-mark psmr 
"${D%/}${MY_PREFIX}"/bin/wine64{,-preloader}
-
-       if use abi_x86_64 && ! use abi_x86_32; then
-               dosym wine64 "${MY_PREFIX}"/bin/wine # 404331
-               dosym wine64-preloader "${MY_PREFIX}"/bin/wine-preloader
-       fi
-
-       # Failglob for binloops, shouldn't be necessary, but including to stay 
safe
-       eshopts_push -s failglob #615218
-       # Make wrappers for binaries for handling multiple variants
-       # Note: wrappers instead of symlinks because some are shell which use 
basename
-       local b
-       for b in "${D%/}${MY_PREFIX}"/bin/*; do
-               make_wrapper "${b##*/}-${WINE_VARIANT}" 
"${MY_PREFIX}/bin/${b##*/}"
-       done
-       eshopts_pop
-}
-
-pkg_postinst() {
-       eselect wine register ${P}
-       if [[ ${PN} == "wine-vanilla" ]]; then
-               eselect wine register --vanilla ${P} || die
-       fi
-
-       eselect wine update --all --if-unset || die
-
-       xdg_desktop_database_update
-
-       if ! use gecko; then
-               ewarn "Without Wine Gecko, wine prefixes will not have a 
default"
-               ewarn "implementation of iexplore.  Many older windows 
applications"
-               ewarn "rely upon the existence of an iexplore implementation, 
so"
-               ewarn "you will likely need to install an external one, like 
via winetricks"
-       fi
-       if ! use mono; then
-               ewarn "Without Wine Mono, wine prefixes will not have a default"
-               ewarn "implementation of .NET.  Many windows applications rely 
upon"
-               ewarn "the existence of a .NET implementation, so you will 
likely need"
-               ewarn "to install an external one, like via winetricks"
-       fi
-}
-
-pkg_prerm() {
-       eselect wine deregister ${P}
-       if [[ ${PN} == "wine-vanilla" ]]; then
-               eselect wine deregister --vanilla ${P} || die
-       fi
-
-       eselect wine update --all --if-unset || die
-}
-
-pkg_postrm() {
-       xdg_desktop_database_update
-}

Reply via email to